aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Austein <sra@hactrn.net>2013-02-26 01:20:37 +0000
committerRob Austein <sra@hactrn.net>2013-02-26 01:20:37 +0000
commit80f2485f8a1f4764ee9a8f1167172d4e9fee54c9 (patch)
treec1be50a3e731bb1e793bdf0cf3e870e4ba2ca150
parent7947cc100f43df25655828bce629cf2602747449 (diff)
Make Django requirement consistent in doc and scripts: we now want 1.3.7 or later.
svn path=/trunk/; revision=5073
-rw-r--r--buildtools/build-freebsd-ca-port.py2
-rw-r--r--buildtools/debian-package-skeleton.py4
-rwxr-xr-xconfigure10
-rw-r--r--configure.ac6
4 files changed, 11 insertions, 11 deletions
diff --git a/buildtools/build-freebsd-ca-port.py b/buildtools/build-freebsd-ca-port.py
index ad4865e0..ed0220c1 100644
--- a/buildtools/build-freebsd-ca-port.py
+++ b/buildtools/build-freebsd-ca-port.py
@@ -107,7 +107,7 @@ BUILD_DEPENDS+= rsync>0:${PORTSDIR}/net/rsync
RPKID_DEPENDS= ${PYTHON_PKGNAMEPREFIX}lxml>0:${PORTSDIR}/devel/py-lxml \\
${PYTHON_PKGNAMEPREFIX}MySQLdb>0:${PORTSDIR}/databases/py-MySQLdb \\
- ${PYTHON_PKGNAMEPREFIX}django>=1.3:${PORTSDIR}/www/py-django \\
+ ${PYTHON_PKGNAMEPREFIX}django>=1.3.7:${PORTSDIR}/www/py-django \\
${PYTHON_PKGNAMEPREFIX}vobject>0:${PORTSDIR}/deskutils/py-vobject \\
${PYTHON_PKGNAMEPREFIX}yaml>0:${PORTSDIR}/devel/py-yaml \\
${PYTHON_PKGNAMEPREFIX}south>=0.7.6:${PORTSDIR}/databases/py-south
diff --git a/buildtools/debian-package-skeleton.py b/buildtools/debian-package-skeleton.py
index e169fd2c..12c4454b 100644
--- a/buildtools/debian-package-skeleton.py
+++ b/buildtools/debian-package-skeleton.py
@@ -519,7 +519,7 @@ maybe_install_django() {
fi
if ! python -c 'import django' 2>/dev/null &&
- ! pip install django==1.3.7
+ ! pip install django>=1.3.7
then
echo 1>&2 "Unable to install usable version of Django, sorry"
exit 1
@@ -534,7 +534,7 @@ maybe_install_south() {
fi
if ! python -c 'import south' 2>/dev/null &&
- ! pip install South==0.7.6
+ ! pip install South>=0.7.6
then
echo 1>&2 "Unable to install usable version of Django, sorry"
exit 1
diff --git a/configure b/configure
index 4f9a49fa..6978587b 100755
--- a/configure
+++ b/configure
@@ -5254,9 +5254,9 @@ echo "${ECHO_T}$have_django" >&6; }
if test $have_django = yes
then
- { echo "$as_me:$LINENO: checking for Django 1.3 or higher" >&5
-echo $ECHO_N "checking for Django 1.3 or higher... $ECHO_C" >&6; }
- have_acceptable_django=`$PYTHON -c "import django; print 'no' if django.VERSION < (1, 3) else 'yes'"`
+ { echo "$as_me:$LINENO: checking for Django 1.3.7 or higher" >&5
+echo $ECHO_N "checking for Django 1.3.7 or higher... $ECHO_C" >&6; }
+ have_acceptable_django=`$PYTHON -c "import django; print 'no' if django.VERSION < (1, 3, 7) else 'yes'"`
{ echo "$as_me:$LINENO: result: $have_acceptable_django" >&5
echo "${ECHO_T}$have_acceptable_django" >&6; }
fi
@@ -5336,8 +5336,8 @@ echo "$as_me: WARNING: I can't find Python.h. Python sources are required to bu
if test $have_acceptable_django = no
then
ok=no
- { echo "$as_me:$LINENO: WARNING: The RPKI CA tools require Django 1.3 or higher." >&5
-echo "$as_me: WARNING: The RPKI CA tools require Django 1.3 or higher." >&2;}
+ { echo "$as_me:$LINENO: WARNING: The RPKI CA tools require Django 1.3.7 or higher." >&5
+echo "$as_me: WARNING: The RPKI CA tools require Django 1.3.7 or higher." >&2;}
fi
if test $have_vobject = no
then
diff --git a/configure.ac b/configure.ac
index cc3f4abb..51f432d2 100644
--- a/configure.ac
+++ b/configure.ac
@@ -445,8 +445,8 @@ then
if test $have_django = yes
then
- AC_MSG_CHECKING([for Django 1.3 or higher])
- have_acceptable_django=`$PYTHON -c "import django; print 'no' if django.VERSION < (1, 3) else 'yes'"`
+ AC_MSG_CHECKING([for Django 1.3.7 or higher])
+ have_acceptable_django=`$PYTHON -c "import django; print 'no' if django.VERSION < (1, 3, 7) else 'yes'"`
AC_MSG_RESULT([$have_acceptable_django])
fi
@@ -512,7 +512,7 @@ case $enable_ca_tools in
if test $have_acceptable_django = no
then
ok=no
- AC_MSG_WARN([The RPKI CA tools require Django 1.3 or higher.])
+ AC_MSG_WARN([The RPKI CA tools require Django 1.3.7 or higher.])
fi
if test $have_vobject = no
then